Name:           pidgin-sipe
Version:        1.18.1
Release:        2%{?dist}
Summary:        Pidgin plugin for connecting to MS Communications Server
# pre versions from git: http://repo.or.cz/w/siplcs.git

Group:          Applications/Internet
License:        GPLv2+
URL:            http://sipe.sourceforge.net/
Source0:        http://download.sourceforge.net/pidgin-sipe/pidgin-sipe-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  zlib-devel, libpurple-devel, e2fsprogs-devel, intltool
BuildRequires:  krb5-devel, gettext, glib2-devel, libxml2-devel
BuildRequires:  libtool, nss-devel

# see:
# http://www.scribd.com/doc/76414957/Chapter-01-Address-Book-Service
# http://msdn.microsoft.com/en-us/library/cc431520%28v=office.12%29.aspx
Patch101: pidgin-sipe-Lync-%{version}-search.patch
Patch102: pidgin-sipe-%{version}-reverse-autodiscover-fix.patch

Source100: CERN_Root_CA.pem                          
Source101: CERN_Trusted_Certification_Authority.pem
Source102: VeriSignClass3SecureServerCA-G3.pem
Source103: CERN_Grid_Certification_Authority.pem
Source104: CERN_Root_Certification_Authority_2.pem
Source105: COMODOHigh-AssuranceSecureServerCA.pem
Source106: AddTrustExternalCARoot.pem

%description
Provides an Open Implementation of SIP/Simple protocol for connecting Pidgin to
Live Communications Server 2003/2005, Office Communications Server 2007 and
Microsoft Lync Server.


%prep
%setup -q
%patch101 -p1
%patch102 -R -p1

%build

#export CFLAGS="-g -O0"
%configure --with-krb5


make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/purple-2/*.la
mkdir -p $RPM_BUILD_ROOT/usr/share/purple/ca-certs/
install %{SOURCE100} $RPM_BUILD_ROOT/usr/share/purple/ca-certs/
install %{SOURCE101} $RPM_BUILD_ROOT/usr/share/purple/ca-certs/
install %{SOURCE102} $RPM_BUILD_ROOT/usr/share/purple/ca-certs/
install %{SOURCE103} $RPM_BUILD_ROOT/usr/share/purple/ca-certs/
install %{SOURCE104} $RPM_BUILD_ROOT/usr/share/purple/ca-certs/
install %{SOURCE105} $RPM_BUILD_ROOT/usr/share/purple/ca-certs/
install %{SOURCE106} $RPM_BUILD_ROOT/usr/share/purple/ca-certs/

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog HACKING COPYING NEWS README TODO
%{_libdir}/purple-2/libsipe.so
%{_datadir}/pixmaps/pidgin/protocols/*/sipe.*
/usr/share/purple/ca-certs/CERN_Root_CA.pem
/usr/share/purple/ca-certs/CERN_Trusted_Certification_Authority.pem
/usr/share/purple/ca-certs/CERN_Grid_Certification_Authority.pem
/usr/share/purple/ca-certs/CERN_Root_Certification_Authority_2.pem
/usr/share/purple/ca-certs/VeriSignClass3SecureServerCA-G3.pem
/usr/share/purple/ca-certs/COMODOHigh-AssuranceSecureServerCA.pem
/usr/share/purple/ca-certs/AddTrustExternalCARoot.pem

%changelog
* Thu May 15 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.18.1-2
- reverse latest autodiscover patch: causes crash in pidgin libs.

* Wed May 07 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.18.1-1
- update to current version

* Tue Apr 08 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.18.0-2
- fix missing contact search input box.

* Wed Jan 27 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.18.0-1
- update to current version.

* Wed Nov 27 2013 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.15.0-3
- added certificates for AddTrust

* Tue Nov 26 2013 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.15.0-2
- updated CERN certificates for libpurple.

* Wed Mar 13 2013 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.15.0-1
- updtream update, kerberos, autodiscover fixes.

* Mon Feb 18 2013 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.14.1-3
- kerberos auth for http(s) - upstream patch

* Fri Feb 15 2013 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.14.1-2
- kerberos auth for contact search.

* Mon Sep 17 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.13.3
- updated , bugfix release
* Tue Apr 17 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.13.1
- updated to 1.13.1 , bugfix release

* Mon Apr 2 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.13.0
- updated to 1.13.0 final

* Tue Mar 6 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.13.0.git
- Added CERN certs for libpurple.

* Mon Mar 5 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch - 1.13.0.git
- Added a patch to allow contact searech against Microsoft Lync server
- compile against NSS 3.13

* Thu Oct 13 2011 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.12.0
* Wed Dec  1 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.11.2
* Fri Oct  8 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.11.0
* Wed Jun 17 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.10.0
- Upstream 1.10.0

* Mon Nov 23 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.7.1-1
- Upstream 1.7.1 (bugfixes)

* Tue Nov 03 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.7.0-1
- Upstream 1.7.0

* Mon Sep 28 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.6.3-1
- Upstream 1.6.3

* Tue Sep 08 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.6.2-1
- Upstream 1.6.2
- Drop obsoleted ppc fix patch

* Fri Jul 31 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.6.0-2
- Add BR: gettext to build on EPEL

* Thu Jul 30 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.6.0-2
- Another attempt at ppc build fix (patch from Stefan Becker)

* Tue Jul 28 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.6.0-1
- Upstream 1.6.0
- Build on ppc, but pass --enable-quality-check=no to configure

* Thu Jul 16 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.5.0-2
- Build --with-krb5

* Tue Jun 30 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.5.0-1
- Initial packaging.

